Update a connector
curl --request PUT \
--url https://api.databar.ai/v1/connectors/{connector_id} \
--header 'Content-Type: application/json' \
--header 'x-apikey: <x-apikey>' \
--data '
{
"name": "<string>",
"method": "<string>",
"url": "<string>",
"type": "enrichment",
"headers": [
{
"name": "<string>",
"value": ""
}
],
"parameters": [
{
"name": "<string>",
"value": ""
}
],
"body": [
{
"name": "<string>",
"value": ""
}
],
"body_template": "<string>",
"rate_limit": 2,
"max_concurrency": 2
}
'import requests
url = "https://api.databar.ai/v1/connectors/{connector_id}"
payload = {
"name": "<string>",
"method": "<string>",
"url": "<string>",
"type": "enrichment",
"headers": [
{
"name": "<string>",
"value": ""
}
],
"parameters": [
{
"name": "<string>",
"value": ""
}
],
"body": [
{
"name": "<string>",
"value": ""
}
],
"body_template": "<string>",
"rate_limit": 2,
"max_concurrency": 2
}
headers = {
"x-apikey": "<x-apikey>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-apikey': '<x-apikey>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
method: '<string>',
url: '<string>',
type: 'enrichment',
headers: [{name: '<string>', value: ''}],
parameters: [{name: '<string>', value: ''}],
body: JSON.stringify([{name: '<string>', value: ''}]),
body_template: '<string>',
rate_limit: 2,
max_concurrency: 2
})
};
fetch('https://api.databar.ai/v1/connectors/{connector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"type": "<string>",
"method": "<string>",
"url": "<string>",
"headers": [],
"parameters": [],
"body": [],
"body_template": "<string>",
"rate_limit": 123,
"max_concurrency": 123,
"created_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Connectors
Update custom connector
Replaces the configuration of an existing custom API connector.
PUT
/
v1
/
connectors
/
{connector_id}
Update a connector
Headers
API Key for authentication
Path Parameters
The connector ID
Body
application/json
Display name for the connector
Maximum string length:
256HTTP method: get, post, put, or patch
Full API endpoint URL (e.g. https://api.example.com/v1/score)
Maximum string length:
512Connector type: simple, enrichment, or exporter
HTTP headers to send with each request
Show child attributes
Show child attributes
Query parameters
Show child attributes
Show child attributes
Request body fields
Show child attributes
Show child attributes
Jinja body template. When set, template variables become body params instead of 'body' list.
Maximum string length:
2048Max requests per minute (capped by plan)
Required range:
x >= 1Max concurrent requests (capped by plan)
Required range:
x >= 1Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I